/*
* demo.css
* File include item demo only specific css only
******************************************************************************/

.light-style .menu .app-brand.demo {
  height: 64px;
}

.dark-style .menu .app-brand.demo {
  height: 64px;
}

.app-brand-logo.demo {
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: center;
  justify-content: center;
  display: -ms-flexbox;
  display: flex;
  width: 80%;
  height: 100%;
}

.app-brand-logo.demo svg {
  width: 35px;
  height: 24px;
}
.app-brand-logo.demo img{
  width: 100%;
  height: 100%;
}

.app-brand-text.demo {
  font-size: 1.375rem;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 78px !important;
}
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page.pt-0-force {
  padding-top: 0 !important;
}
/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/* Dropdown buttons going out of small screens */
@media (max-width: 576px) {
  #dropdown-variation-demo .btn-group .text-truncate {
    width: 254px;
    position: relative;
  }
  #dropdown-variation-demo .btn-group .text-truncate::after {
    position: absolute;
    top: 45%;
    right: 0.65rem;
  }
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}
.numbers::placeholder , .codes::placeholder{
  text-align: right;
  direction: rtl;
}
/*input#mobile::placeholder{*/
/*  direction: ltr!important;*/
/*  text-align: left!important;*/
/*}*/
.numbers , .codes{
  direction: rtl!important;
  text-align: left!important;
}
.color-theme{
  color: #7367f0;
}
.dz-details{
  direction: ltr;
}
.tableCustomStyle{
  overflow-y: scroll;
  height: 42vh;
  display: block;
}
.tableCustomStyle thead{
  width: 100%;
  display: inline-table;
}
.tableCustomStyle tbody{
  display: inline-table;
  width: 100%;
}

.fs--1{
  font-size: 12px;
}
.border-danger{
  border: 1.5px solid rgba(var(--bs-danger-rgb), var(--bs-bg-opacity)) !important;
}
.border-success{
  border: 1.5px solid rgba(var(--bs-success-rgb), var(--bs-bg-opacity)) !important;

}
.border-info{
  border: 1.5px solid rgba(var(--bs-info-rgb), var(--bs-bg-opacity)) !important;
}
.border-primary{
  border: 1.5px solid rgba(var(--bs-primary-rgb), var(--bs-bg-opacity)) !important;
}
.w-30 {
  width: 30% !important;
}
.rounded-left{border-top-left-radius:.25rem!important;border-bottom-left-radius:.25rem!important}
.rounded-right{border-top-right-radius:.25rem!important;border-bottom-right-radius:.25rem!important}
.tableReservation div{
  border-bottom: 1px solid #ccc;
  padding: 15px;
}
.border-bottom-0 {
  border-bottom: 0 !important;
}
.tableReservation tr:nth-child(2) td{
  border-bottom: 0;
}
.tableReservation tr:nth-child(1) td:nth-child(1),
.tableReservation tr:nth-child(1) td:nth-child(2),
.tableReservation tr:nth-child(2) td:nth-child(1),
.tableReservation tr:nth-child(2) td:nth-child(2)
{
  border-left: 1px solid #ccc;
}
.text-gray {
  --bs-text-opacity: .8;
  color: rgba(var(--bs-gray-rgb), var(--bs-text-opacity)) !important;
}
.h-45{
  height: 45%;
}
.listMenuReservation .nav-item a:hover{
  border: 1.5px solid var(--bs-primary-rgb) !important;
}
.title-cart-res{
  color: #ccc
}
.bg-light-50 {
  --bs-bg-opacity: .2;
  border: 1px solid rgba(var(--bs-light-rgb), var(--bs-bg-opacity))!important;
  background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity)) !important;
  border-radius: 5px;
}
.z-index-10{
  z-index: 10!important;
}
.h-120vh{
  height: 120vh!important;
}
.h-50Custom{
  height: 50%;
 }
.listMenuReservationMobile{
  display: none!important;
}
@media(max-width: 1200px) {
  .h-50Custom{
    height: unset!important;
  }
  .listMenuReservation{
    display: none!important;
  }
  .listMenuReservationMobile{
    display: flex!important;
  }
}
@media (max-width: 768px) {
  .mt-md-0{
    margin-top: 0!important;
  }
  .mt-md-6 {
    margin-top: 3.5rem !important;
  }
  .mt-md-7 {
    margin-top: 4rem !important;
  }
}
@media (max-width: 576px) {
  .mt-sm-6{
    margin-top: 3.5rem !important;
  }
  .mt-sm-7{
    margin-top: 4rem !important;
  }
}
.headCartReserve{
  height: 60px;
  z-index: 10;
  width: 100%;
  top: 0
}
@media(max-width: 640px) {
  .headCartReserve{
    height: auto;
    padding: 10px;
  }
}
.left-10{
  left: 10px!important;
}
#reserveInfoBox .title-cart-res{
  margin-bottom: 0;
}
.mr-10p{
  margin-right: 10px;
}
.whitespace-nowrap{
  white-space: nowrap!important;
}